<?php
/****************************************************************************************
SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV

Version 1.0.0

Copyright (C) 2006-2014  Sylvain FATOME
This program is free software; you can redistribute it and/or modify it under the terms
of the GNU General Public License as published by the Free Software Foundation; 
either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; 
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program
(in the directory docs); 
if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, 
Boston, MA  02110-1301, USA.

Contact : galawa@free.fr

Web : http://smi.no-ip.org
 ****************************************************************************************/

session_start();

require_once("../lib/gettext/gettext.inc");
include_once("../inc/config.inc.php");
include_once("../inc/fic_droits.inc.php");
include_once("../inc/func_log.inc.php");
if (CheckURLLog(FALSE) == FALSE) header("Location: ../index.php");
if (CheckNivLog("5-9") == FALSE) header("Location: ../index.php");
include_once("../inc/func.inc.php");
include_once("../inc/func_geo.inc.php");
include_once("../inc/func_txt.inc.php");
include_once("../inc/fic_dde.inc.php");
include_once("../classes/ezSQL/shared/ez_sql_core.php");
include_once("../classes/ezSQL/mysqli/ez_sql_mysqli.php");
include_once("../inc/func_sql.inc.php");
Archivelog(@$_SESSION["code_log"]);
// Variables Formulaire
fix_magic_quotes();
$_POST = clean_str($_POST);

$titre = @$_POST["titre"];
$td = @$_POST["td"];

$code = str_majuscules(@$_POST["code"]);
$desc = str_majuscules(@$_POST["desc"]);

$publique = @$_POST["pub"];
if ($publique == "Oui")
    $pub = 1;
else
    $pub = 0;

$retourliste = TRUE;

switch ($td) {
    // Ajout de la fiche type de demande
    case "add" :
        $db = open_database(DBUSER, DBPASS, DBNAME, DBHOST);
        $rech = "SELECT COUNT(*) FROM `" . TBDDEC . "` WHERE `ddec_code` = '" . $db->escape($code) . "'";
        $nb_rs = $db->get_var($rech);
        if ($nb_rs == 0) {
            $rech = "INSERT INTO `" . TBDDEC . "` (ddec_code,ddec_desc,ddec_delok,ddec_pub)";
            $rech .= " VALUES ('" . $db->escape($code) . "','" . $db->escape($desc) . "','1','$pub')";
            $db->query($rech);
            $msg = _("Fiche ajoutée");
        } else {
            $msg = _("Ce code existe déjà");
            $retourliste = FALSE;
        }
        $db->disconnect();
        break;

    // MAJ de la fiche type de demande
    case "edit" :
        $db = open_database(DBUSER, DBPASS, DBNAME, DBHOST);
        $rech = "UPDATE `" . TBDDEC . "` SET `ddec_code`='" . $db->escape($code) . "', `ddec_desc`='" . $db->escape($desc) . "', `ddec_pub`='" . $pub . "'";
        $rech .= " WHERE `ddec_code` = '" . $db->escape($code) . "'";
        $db->query($rech);
        $db->disconnect();
        $msg = _("Fiche modifiée");
        break;

    // Suppression de la fiche type de demande
    case "del" :
        // Vérifie si utilisé dans une demande
        if (exist_ddec_in_dde($code) == TRUE) {
            $msg = _("Ce type de catégorie de demandeur a déjà été utilisé dans une demande");
            $retourliste = FALSE;
        } else {
            $db = open_database(DBUSER, DBPASS, DBNAME, DBHOST);

            // SUPPRESSION de la fiche type de demande
            $rech = "DELETE FROM `" . TBDDEC . "` WHERE `ddec_code` = '" . $db->escape($code) . "'";
            $db->query($rech);
            $db->disconnect();

            $msg = _("Fiche supprimée");
        }
        break;

    default :
        $msg = _("Problème de paramètres");
        $retourliste = FALSE;
        break;
}
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
    <meta http-equiv="content-type" content="text/html; charset=UTF-8">
    <title>SMI - <?PHP echo _("ESPACE PRIVE"); ?> : <?PHP echo _("Fiche Type Catégorie Demandeur"); ?></title>

    <?PHP include_once("../inc/header.inc.php"); ?>

    <script type="text/javascript">
        <!--
        function init_all() {
            init_Body();
            <?PHP
            if ($retourliste == FALSE)
                echo "warn_txt('" . str_escape($msg) . "');";
            ?>
            Focus_first();
        }

        $(document).ready(function () {
            init_all();
        });
        //-->
    </script>

</head>
<body>

<?php include_once("../inc/entete.inc.php");
echo '<p align="center"><span class="titrepage">' . $titre . '</span></p>';
echo '<p align="center">&nbsp;</p>';
if ($retourliste == FALSE)
    aff_ret_idx_man($td, "ddec_lst.php", _("Retour à la liste"), TRUE);
else
    pop_ret_auto($msg, 'ok', "ddec_lst.php");
include_once("pied.php");
?>
</body>

</html>